Run an OIC Integration

post

/epm/rest/public/v1/oicIntegrations/run

Request

Body ()
Specifies the parameters to use for running the OIC integration
Root Schema : Parameters for running an OIC integration
Type: object
Show Source
Back to Top

Response

Supported Media Types

202 Response

Accepted, integration processing

400 Response

Error in body

403 Response

Insufficient Permission

503 Response

Unable to run now, service unavailable
Back to Top

Examples

The following example shows how to run an oic integration from within EDM submitting a post request on the REST resource using cURL.

cURL Command

curl --user epm_cloud_user -X POST -H 'Content-Type: application/json' -d @example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/public/v1/oicIntegrations/run

Example of Request Body

The following shows an example of the request body in JSON format.

{
	"integrationName": "EDM OIC Integration Demo"
}

Example of Response Body

The following shows an example of the response body in JSON format.

{
  "links": [
    {
      "rel": "results",
      "href": "http://servername.fa.us2.oraclecloud.com/epm/rest/v1/jobRuns/0e748e2a-02c9-4a1f-809d-d7e5e61ad38d"
    }
  ]
}

Example of Job Run Result Body

The following shows an example of the response body for the Job Run Results in JSON format.

{
	"id": "0e748e2a-02c9-4a1f-809d-d7e5e61ad38d",
	"description": "Running OIC Integration EDM OIC Integration Demo (146c9f61-4b09-4979-983d-3828f401ec20).",
	"origin": "RUN_OIC_INTEGRATION",
	"status": "COMPLETED",
	"result": {
		"messages": "Integration completed successfully",
		"success": true,
		"endTime": "2026-07-13T15:37:52.686Z",
		"status": "COMPLETED",
		"warningText": null,
		"startTime": null,
		"runByUser": null
	},
	"created": "2026-07-13T15:37:48.576Z",
	"createdBy": "45b96c8a-7e8a-4e24-8279-9f2b88118e29",
	"lastModified": "2026-07-13T15:38:01.876Z",
	"lastModifiedBy": "45b96c8a-7e8a-4e24-8279-9f2b88118e29",
	"links": [
		{
			"rel": "self",
			"href": "http://servername.fa.us2.oraclecloud.com/epm/rest/v1/jobRuns/0e748e2a-02c9-4a1f-809d-d7e5e61ad38d/result"
		},
		{
			"rel": "jobRun",
			"href": "http://servername.fa.us2.oraclecloud.com/epm/rest/v1/jobRuns/0e748e2a-02c9-4a1f-809d-d7e5e61ad38d"
		}
	]
}
Back to Top